Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.png
Class png_chunk_trns

    java.lang.Object
      |
      +--com.sun.jimi.core.encoder.png.png_chunk_trns

public class png_chunk_trns
extends java.lang.Object
implements PNGConstants

"tRNS" transparency chunk for specifying an alpha channel for palette images. I'm using the naming conventions from the rest of the PNG package in some places to try to keep things consistent.

Field Summary
`protected byte[]` | `alphaValues` byte array containing alpha values
`protected int` | `lastTransparentIndex` the index of the last alpha value not equal to 0xFF, i.e.
`protected com.sun.jimi.core.encoder.png.PNGChunkUtil` | `pngUtil`

Constructor Summary
`png_chunk_trns(AdaptiveRasterImage ji, com.sun.jimi.core.encoder.png.PNGChunkUtil pngUtil, PNGEncoder encoder)`

Method Summary
`void` | `write(java.io.DataOutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alphaValues

    protected byte[] alphaValues

  byte array containing alpha values

### lastTransparentIndex

    protected int lastTransparentIndex

  the index of the last alpha value not equal to 0xFF, i.e. the index of the end of the transparency data

### pngUtil

    protected com.sun.jimi.core.encoder.png.PNGChunkUtil pngUtil

Constructor Detail

### png_chunk_trns

    public png_chunk_trns(AdaptiveRasterImage ji,
                          com.sun.jimi.core.encoder.png.PNGChunkUtil pngUtil,
                          PNGEncoder encoder)
                   throws JimiException

Method Detail

### write

    public void write(java.io.DataOutputStream out)
               throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD